4 Replies Latest reply on Sep 16, 2014 11:03 AM by Babacar GUEYE

    Domain controller version

    Jean-Pierre RIO Newbie

      Hello guys,

      We began our migration from JBoss 5.1 to JBoss 7.1. Everything is fine. We currently have one domain controller per stage (qa, production,...), and two server-group per stage. My question is : if we want to use Wildfly 8 for a new project (a new server group), is it possible to "mix" JBoss 7 and WF8 in the same domain or do we have to migrate all the ancients project from JBoss 7 to WF 8 ?

        • 1. Re: Domain controller version
          Tomaz Cerar Master

          Hey,

           

          what you want is possible but there are few requirements you need to fulfill to be able to run this.

           

          To run mixed domain you need to have domain controller (DC) on at least same version of the latest host controller (HC) that you run.

           

          Also we test compatibility between different version so there is compatibility version matrix you need to honor if you want this.

          In short 7.1.1 is not supported as it has too many domain model problems.

           

          I would suggest you to do WildFly 8.0 for DC and then any EAP 6.x or 7.1.2.Final, 7.1.3.Final, 7.2.0.Final, 8.0.0.Final for HC.

           

          I can help you with bit more if you provide few more details.

           

          --

          tomaz

          • 2. Re: Domain controller version
            Jean-Pierre RIO Newbie

            Thank you Tomaz for your answer. We can easily switch to 7.1.3.Final for our existing webapps in production. So all we have to do after is to upgrade the DC from 7.1 to 8.0 and it will allow us to control server-groups both in 7.1.3 and 8.0, right ?

            • 3. Re: Domain controller version
              Tomaz Cerar Master

              Jean-Pierre RIO wrote:

               

              So all we have to do after is to upgrade the DC from 7.1 to 8.0 and it will allow us to control server-groups both in 7.1.3 and 8.0, right ?

              yes

               

              But you need to make sure you do different profiles which you assign to different server groups.

              this way you can have different configuration for WildFly 8 servers then for 7.1 ones.

               

              --

              tomaz

              • 4. Re: Re: Domain controller version
                Babacar GUEYE Newbie

                Hello,

                 

                We tried this migration. We migrated our domain controller in WF8.1, created a new server group for a new app in WF8.1. Everything works fine, we can start our WF8.1 instances. Now, when we start our old instances in 7.2 we have the following problem :

                 

                16:18:12,367 ERROR [org.jboss.as.controller.management-operation] (domain-connection-threads - 1) JBAS014613: L'opération ("resolve-subsystems") a échoué - adresse : ([]) - Description de l'échec : "JBAS010877: N'a pas pu charger le module 'org.wildfly.extension.batch'."

                16:18:12,402 WARN  [org.jboss.as.host.controller] (Controller Boot Thread) JBAS010900: Could not connect to remote domain controller s-jb7-admin-qua:9999: java.io.IOException: java.util.concurrent.ExecutionException: Operation failed

                16:18:13,457 ERROR [org.jboss.as.controller.management-operation] (domain-connection-threads - 1) JBAS014613: L'opération ("resolve-subsystems") a échoué - adresse : ([]) - Description de l'échec : "JBAS010877: N'a pas pu charger le module 'org.wildfly.extension.io'."

                16:18:13,483 WARN  [org.jboss.as.host.controller] (Controller Boot Thread) JBAS010900: Could not connect to remote domain controller s-jb7-admin-qua:9999: java.io.IOException: java.util.concurrent.ExecutionException: Operation failed

                16:18:14,557 ERROR [org.jboss.as.controller.management-operation] (domain-connection-threads - 1) JBAS014613: L'opération ("resolve-subsystems") a échoué - adresse : ([]) - Description de l'échec : "JBAS010877: N'a pas pu charger le module 'org.wildfly.extension.undertow'."

                 

                It seems that the domain configuration (domain.xml) from the WF8.1 domain controller is validated when starting the JB7.2 instance and the preceeding modules (batch, io, undertow) do not exist in JB7.2 distribution.

                We're using different profiles for the instances in WF8.1 and JB7.2 (particullary, the profiles running on JB7.2 do not reference those modules).

                 

                Thank you for your help, the migration has to be over within septembre !

                 

                Babacar